[erledigt] FehlerMeldungen in IDE 1.5.7

Hallo,
habe heute mal TestSprung auf IDE 1.5.7 gemacht...
Die eine oder andere Fehlermeldung hat mich ja schon ins grübeln gebracht-
hiermit kann ich nichts anfangen:

/Applications/Arduino.app/Contents/Resources/Java/hardware/tools/avr/bin/avr-g++ -c -g -Os -w

-fno-exceptions -ffunction-sections -fdata-sections -MMD -mmcu=atmega2560 -DF_CPU=16000000L
-DARDUINO=157 -DARDUINO_AVR_MEGA2560 -DARDUINO_ARCH_AVR

und

int RECV_PIN = TKD2; // the pin the IR receiver is connected to
^

dieses "TKD2" gibt es im ganzen Sketch nicht.

Ist diese Version nicht kompatibel zu den schon abgespeicherten Sketche?
Alle Verzeichnisse sind richtig eingestell, er findet aber für keinen
Sketch die eingetragenen Lib´s. OSX 10.6.3 Server
Gruß und Dank
Andreas

Vielleicht ein OSX Problem? Bei läuft es mit Windows und -std=gnu++11 für C++11

Die einzigen negativen Auswirkungen die ich gefunden habe, ist dass bei PROGMEM jetzt unbedingt const gebraucht wird. Das war in der UTFT Lib an einigen Stellen nicht so. Und String Arrays müssen jetzt const* char const (const Zeiger auf const Daten) sein. Das musste ich in der Time Lib und in meinem Code anpassen (und wird wohl auch nirgendwo anders so sein).

Aber ansonsten geht alles :slight_smile:

Das erste ist keine Fehlermeldung, sondern ein Compiler Aufruf.
Zumindest sehe ich keine Fehlermeldung.

Beim zweiten fehlt der "Ort".
Wenn das ein Fehler ist, meldet der Compiler auch den Ort.
Zumindest sollte es so sein.

In der IDE kannst du bei den Voreinstellungen erweiterte Meldungen aktivieren.

Hallo,
CompilerMeldung? Na, ja- wer´s braucht.

Das mir aber die Lib´s nicht in den Sketch geladen werden- ist ein NoGo.
Auch das sie Variabeln anzeigt die im ganzen Sketch nicht vorhanden sind ist
ja wohl nicht richtig. Das liegt an der IDE oder an der Lib. Wenn es die Lib
ist, dann ist die IDE wohl nur zu "eigenen" Lib´s abwärts kompatibel.

Wie auch immer, die 1.5.7 hat sich erst einmal erledigt.
Danke für eure Mühe.
Gruß und Spaß
Andreas